package org.brains2b.coffee.message.local;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.brains2b.coffee.message.InfoMessage;

public class ErrorMessage extends InfoMessage {

	private Throwable m_cause;
	
	public ErrorMessage(Throwable t) {
		super();
		addHeader(-10, t==null?null:t.getLocalizedMessage());
		m_cause = t;
	}

	public Throwable getCause() {
		return m_cause;
	}
	
	@Override
	public String getBody() {
		if (m_cause==null) return "";
		StringWriter sw = new StringWriter();
		m_cause.printStackTrace(new PrintWriter(sw));
		sw.flush();
		return sw.toString();
	}
}
