package org.brains2b.coffee.message.local;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class FileListMessage extends FileMessage {

	private ArrayList m_files;
	
	public FileListMessage() {
		super();
	}
	
	public List getFiles() {
		return m_files;
	}
	
	public void setFile(File f) {
		if (m_files==null) {
			m_files = new ArrayList();
		}
		m_files.add(f);
	}
	
	public void removeFile(File f) {
		if (m_files==null) return;
		m_files.remove(f);
	}
	
	public void setFiles(List fs) {
		if (m_files==null) {
			m_files = new ArrayList();
		}
		m_files.addAll(fs);
	}
	
	public int getSize() {
		return m_files==null?0:m_files.size();
	}
}
