package test.org.brains2b.coffee.message.local;

import org.brains2b.coffee.message.local.ErrorMessage;

import junit.framework.TestCase;

public class ErrorMessageTest extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
	}

	public void testErrorMessage() {
		Exception ex = new Exception("Error Test");
		ErrorMessage msg = new ErrorMessage(ex);
	
		assertEquals("Error Test",msg.getResponse());
		assertEquals("Error Test",msg.getId());
		assertEquals(-10, msg.getType());
		assertEquals(ex,msg.getCause());
		assertTrue(msg.getBody().startsWith("java.lang.Exception"));
		
	}
	
	public void testErrorMessageNull() {
		ErrorMessage msg = new ErrorMessage(null);
	
		assertNull(msg.getResponse());
		assertNull("Error Test",msg.getId());
		assertEquals(-10, msg.getType());
		assertNull(msg.getCause());
		assertTrue(msg.getBody().equals(""));
		
	}

	

}
