package org.brains2b.coffee.message.local;

import org.brains2b.coffee.message.NNTPMessage;
import org.brains2b.coffee.nntp.MessageParser;

/**
 * Abstract class for local messages with empty methods for {@link MessageParser} methods
 * 
 * @author <A HREF="MAILTO:dennis@brains2b.org">dennis@brains2b.org</A>
 * @version $Revision: 1.1 $ $Date: 2010/12/30 23:42:27 $
 */
public abstract class LocalMessage implements NNTPMessage {

	public void addLine(String s) {
		
	}

	public void addHeader(int id, String s) {
		
	}

	public boolean isHeaderSet() {
		return false;
	}

	public void endMessage() {
		
	}

}
