package org.brains2b.coffee.util;

import java.math.BigDecimal;

public class CfSizeHelper {

	public final static String getHumanReadable(int size) {
		if (size/1024>1024) {
			return new BigDecimal((double) (size/(1024*1024))).setScale(1).toString() +"Mb";
		} else if (size/1024<=0) {
			return String.valueOf(size);
		} else {
			return new BigDecimal((double) (size/1024)).setScale(0).toString() +"Kb";
		}
	}
}
