package test.org.brains2b.coffee.file;

import junit.framework.TestCase;

import org.brains2b.coffee.file.ArticleHandler;
import org.brains2b.coffee.message.Article;
import org.brains2b.saxo.SAXReader;

public class ArticleHandlerTest extends TestCase {
	
	public void testHandler() {
		SAXReader reader = new SAXReader();
		ArticleHandler ah = new ArticleHandler();
		reader.setContentHandler(ah);
		try {
			reader.parse("test/articletest.xml");
			Article a = (Article) ah.getMessage();
			String s =a.getBody().getContent();
			
			assertEquals("post36466.xml",a.getId());
			assertEquals(363923,a.getNumber());
		} catch (Exception ex) {
			assertTrue(ex.getMessage(),false);
		}
	}
}
